Summary: Leading World Wide Web server
Name: apache
%define version 1.2.6
Version: %{version}
Release: 4
Group: Networking/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_%{version}.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpd.init
Source4: apache.log
Patch0: apache_1.2.6-rh.patch
Patch1: apache_1.2.5-dynamic.patch
Copyright: Freely distributable & usable
Buildroot: /tmp/apache-root
Requires: /etc/mime.types
Prereq: /sbin/chkconfig, /bin/mktemp
Summary(de): Leading World Wide Web-Server
Summary(fr): Serveur Web leader du march
Summary(tr): Lider WWW tarayc

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

%description -l de
Apache ist ein voll funktionsfhiger Web-Server, der kostenlos
erhltlich und weit verbreitet ist.

%description -l fr
Apache est un serveur Web complet, disponible librement, et se trouve tre
aussi le plus utilis  travers le monde.

%description -l tr
Apache serbest datlan ve ok kullanlan yetenekli bir web sunucusudur.

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

%prep
%setup -n apache_%{version}
%patch0 -p1 -b .rh
%patch1 -p1 -b .dynamic

%build
cd src
./Configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make EXTRA_LIBS=-lcrypt -C ../support htpasswd htdigest

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /etc/httpd/conf /home/httpd/html /home/httpd/icons \
	/home/httpd/cgi-bin /usr/man/man1 /usr/man/man8 /usr/man/man1 \
	/var/log/httpd /etc/logrotate.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m755 src/httpd support/htdigest support/htpasswd \
	$RPM_BUILD_ROOT/usr/sbin

install -m755 support/dbmmanage.new $RPM_BUILD_ROOT/usr/sbin/dbmmanage

for I in httpd access srm; do
	install -m644 conf/$I.conf-dist $RPM_BUILD_ROOT/etc/httpd/conf/$I.conf
done

install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8/httpd.8
install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/htpasswd.1
install -m644 icons/* $RPM_BUILD_ROOT/home/httpd/icons
install -m644 htdocs/apache_pb.gif $RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual
cp -r htdocs/manual/* $RPM_BUILD_ROOT/home/httpd/html/manual

install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_SOURCE_DIR/index.html \
	$RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpd
done

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add httpd
[ -f /etc/mime.types ] || exit 0
# safely add .htm to mime types if it is not already there
TEMPTYPES=`/bin/mktemp /tmp/mimetypes.XXXXXX`
[ -z "$TEMPTYPES" ] && {
  echo "could not make temporary file, htm not added to /etc/mime.types" >&2
  exit 1
}
( grep -v "^text/html"  /etc/mime.types
  types=$(grep "^text/html" /etc/mime.types | cut -f2-)
  echo -en "text/html\t\t\t"
  for val in $types ; do
      if [ "$val" = "htm" ] ; then
          continue
      fi
      echo -n "$val "
  done
  echo "htm"
) > $TEMPTYPES
cat $TEMPTYPES > /etc/mime.types && rm -f $TEMPTYPES

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpd
fi

%files
/usr/sbin/httpd
/usr/sbin/dbmmanage
/usr/sbin/htpasswd
/usr/man/man8/httpd.8
/usr/sbin/htdigest
%config /etc/logrotate.d/apache
%config /etc/httpd/conf/access.conf
%config /etc/httpd/conf/srm.conf
%config /etc/httpd/conf/httpd.conf
%config /etc/rc.d/init.d/httpd
%config(missingok) /etc/rc.d/rc3.d/S85httpd
%config(missingok) /etc/rc.d/rc5.d/S85httpd
%config(missingok) /etc/rc.d/rc0.d/K15httpd
%config(missingok) /etc/rc.d/rc1.d/K15httpd
%config(missingok) /etc/rc.d/rc2.d/K15httpd
%config(missingok) /etc/rc.d/rc6.d/K15httpd
%dir /home/httpd
/home/httpd/icons
%dir /home/httpd/cgi-bin
%dir /home/httpd/html
%config(noreplace) /home/httpd/html/index.html
/home/httpd/html/manual
/home/httpd/html/apache_pb.gif
/home/httpd/html/poweredby.gif
%dir /var/log/httpd
%dir /usr/lib/apache
/etc/httpd/logs
